--- title: "getTemplateStructure" slug: "ai-application-service-cloudoutboundmailer-gettemplatestructure" tags: ["Cloud Outbound Mailer"] updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/ai-application-service-cloudoutboundmailer-gettemplatestructure" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getTemplateStructure Available in Classic and VPC Get email templates and category structure. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /template | ### Request headers For information about the headers common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer request headers](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `isUse` | Boolean | Optional | Whether to view only templates and category structures in use - `true` \| `false` - `true`: View only templates and categories in use - `false`: View templates and categories not in use as well | ### Request example The following is a sample request. ``` curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/template?isUse=true' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `contents` | List | - | Detailed structure of templates and categories to get - See [TemplateStructureResponse](/docs/en/common-vapidatatype-nestemplatestructurecontent) | ### Response status codes For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer response status codes](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "contents": [ { "sid": 261, "parentSid": -1, "createDate": { "utc": 1589355820663, "formattedDate": "2020-05-13", "formattedDateTime": "2020-05-13 16:43:40 663" }, "name": "AD", "isCategory": true, "isUse": true, "subCategories": null, "templates": [ { "sid": 262, "parentSid": 261, "createDate": { "utc": 1589355868201, "formattedDate": "2020-05-13", "formattedDateTime": "2020-05-13 16:44:28 201" }, "name": "AD_Template", "isCategory": false, "isUse": true, "subCategories": null, "templates": null } ] } ] } ```